# RepFlow ChangeLog

## RepFlow 3.6 | Premium - Улучшенная стабильность и новые функции
Рад представить вам RepFlow 3.6 | Premium! В этом обновлении мы сосредоточились на оптимизации работы скрипта, устранении проблем с сохранением настроек и добавлении полезных функций, таких как кликабельные ссылки. Ваш опыт использования становится ещё более надёжным и удобным.

### Основные изменения и нововведения:
- **Обновление окна информации**:
  - Добавлены кликабельные ссылки на форум blast.hk и GitHub-репозиторий в меню "Информация", что упрощает доступ к ресурсам и поддержке.
- **Оптимизация производительности**:
  - Улучшена общая оптимизация скрипта: сокращено количество ненужных вызовов функций, оптимизирован цикл `main()` и уменьшена нагрузка на процессор.
- **Удаление ненужных уведомлений**:
  - Удалены CEF-уведомления от Arizona RP, что устраняет лишние всплывающие окна и улучшает пользовательский опыт.

### Исправления:
- **Сохранение настроек**:
  - Исправлены потенциальные проблемы с сохранением настроек во вкладке "Настройки". Теперь все чекбоксы (например, "Обрабатывать диалоги", "Автостарт ловли", "Скрыть 'Не флуди'", "Использовать паузу после флуда", "Автообновление при запуске", "Логировать действия") корректно сохраняются и загружаются благодаря улучшенной синхронизации.
- **Дополнительные улучшения**:
  - Устранены возможные сбои при обновлении зависимостей из репозитория.

### Установка и обновление:
- Скачайте файл `!RepFlow.lua` из этого релиза и замените им существующий в папке `moonloader`.
- Убедитесь, что все зависимости (`mimgui`, `samp.events`, `vkeys`, `encoding`, `inicfg`, `ffi`, `fAwesome6`) установлены.
- Запустите игру и используйте команду `/arep` для активации меню или `/update` для проверки обновлений.
- Рекомендуется перезапустить MoonLoader после обновления.

### Примечания:
- Проверьте правила сервера Arizona RP (или другого, где вы используете скрипт) на предмет соответствия.
- Спасибо за поддержку и обратную связь! Если возникнут вопросы или предложения, пишите в Telegram (@Zorahm).

Удачной ловли репортов с RepFlow 3.6!

---

## RepFlow 3.5 | Premium - Новый уровень удобства
Рад представить вам RepFlow 3.5 | Premium! В этом обновлении мы сосредоточились на улучшении интерфейса, повышении удобства работы с настройками и устранении багов. Теперь ваш опыт использования скрипта станет ещё более комфортным.

### Основные изменения и нововведения:
- Кнопка сброса настроек: Добавлена возможность сбросить все настройки до значений по умолчанию через меню "Настройки".
- Отображение версии: Теперь текущая версия скрипта отображается в заголовке окна ImGui.
- Улучшенный ChangeLog: Добавлены отступы для пунктов списка, что делает текст более читаемым.
- Оптимизация производительности: Минимизированы вызовы `u8` в циклических функциях для снижения нагрузки.

### Исправления:
- Устранены лишние пробелы в отображении ChangeLog.
- Исправлены лаги при перемещении окна информации (infowindow).
- Устранены проблемы с сохранением настроек: теперь все параметры корректно сохраняются через унифицированную функцию.

### Установка и обновление:
- Скачайте файл `!RepFlow.lua` из этого релиза и замените им существующий в папке `moonloader`.
- Убедитесь, что все зависимости (`mimgui`, `samp.events`, `vkeys`, `encoding`, `inicfg`, `ffi`, `fAwesome6`) установлены.
- Запустите игру и используйте команду `/arep` для активации меню или `/update` для проверки обновлений.
- Рекомендуется перезапустить MoonLoader после обновления.

### Примечания:
- Проверьте правила сервера Arizona RP (или другого, где вы используете скрипт) на предмет соответствия.
- Спасибо за поддержку и обратную связь! Если возникнут вопросы или предложения, пишите в Telegram.

Удачной ловли репортов с RepFlow 3.5!

---

### Версия 3.4 | Premium
- Обновлено меню настроек: чекбоксы распределены по категориям (Диалоги, Флуд, Обновления, Логирование).
- Добавлена возможность отключить логирование каждого действия (критические логи остаются).
- Добавлена поддержка профилей настроек: теперь можно сохранять и загружать до трёх профилей.
- Добавлено автоматическое логирование принятых репортов в файл `repflow_reports.log`.
- Добавлена новая вкладка "Статистика" с информацией о времени работы, попытках, репортах и флуде.
- Добавлена команда `/update` для ручного запуска обновления скрипта.

### Версия 3.3 | Premium
- Добавлены новые стильные цветовые темы: "Космос", "Закат", "Неон", "Лаванда", "Графит".
- Обновлены существующие темы для более эстетичного вида.
- Улучшена читаемость интерфейса за счёт новых цветовых сочетаний.

### Версия 3.2 | Premium
- Оптимизирована производительность (меньше вызовов `wait`).
- Добавлена статистика в информационное окно (попытки и принятые репорты).
- Улучшена защита от флуда с настраиваемой паузой.
- Добавлено логирование событий в файл `repflow.log`.
- Добавлен выбор цветовых тем.

### Версия 3.1 | Premium
- Новый стиль меню.
- ChangeLog разделён на версии.
- **HF-1.0**: Исправлены грамматические ошибки.
- **HF-1.1**: Налажен цвет плиток, исправлены грамматические ошибки.
