# RepFlow - Скрипт для автоматической ловли репортов в SAMP

**RepFlow** - это скрипт для MoonLoader (SAMP), который автоматизирует процесс отправки команды `/ot` для ловли репортов на серверах Arizona RP и подобных проектах. Скрипт предоставляет удобный интерфейс через ImGui, гибкие настройки, поддержку профилей и автоматическое управление процессом.

**Версия**: 3.6 | Premium  
**Автор**: Matthew_McLaren[18]  
**Telegram**: [t.me/Zorahm](https://t.me/Zorahm)

---

## Основные возможности

- **Автоматическая отправка команды `/ot`** с настраиваемым интервалом (в секундах или миллисекундах).
- **Обнаружение репортов в чате** по ключевой фразе `[Репорт] от Имя_Фамилия`.
- **Обработка диалогов**: автоматический приём репортов (диалог 1334) с подсчётом принятых.
- **Автостарт ловли**: активация через заданный тайм-аут после последнего диалога.
- **Настраиваемая клавиша активации** (по умолчанию `Z`).
- **Информационное окно**: отображение статуса ловли, времени работы, количества попыток и принятых репортов.
- **Поддержка профилей настроек**: сохранение и загрузка до трёх профилей.
- **Сохранение настроек** в файл `RepFlowCFG.ini`.
- **Интерфейс ImGui**: меню с вкладками "Флудер", "Настройки", "Информация", "Статистика" и "ChangeLog".
- **Темы оформления**: выбор из нескольких цветовых схем (Космос, Закат, Неон, Лаванда, Графит).
- **Логирование**: запись событий в файл `repflow.log` и принятых репортов в `repflow_reports.log`.
- **Защита от флуда**: настройка паузы после обнаружения флуда.
- **Автообновление**: проверка и установка обновлений при запуске или через команду `/update`.
- **Сброс настроек**: возможность сбросить все настройки до значений по умолчанию через меню "Настройки".
- **Отображение версии**: текущая версия скрипта отображается в заголовке окна ImGui.

---

## Требования

- **SAMP**: установленный клиент San Andreas Multiplayer.
- **MoonLoader**: версия 0.26 или выше.
- **Библиотеки**:
  - `mimgui`
  - `samp.events`
  - `vkeys`
  - `encoding`
  - `inicfg`
  - `ffi`
  - `fAwesome6` (иконки FontAwesome).

Убедитесь, что все зависимости установлены через `mlupdater` или вручную.

---

## Установка

1. Скачайте скрипт `!RepFlow.lua` и поместите его в папку `moonloader`.
2. Убедитесь, что все необходимые библиотеки установлены в папке `moonloader/lib`.
3. Запустите игру. Скрипт автоматически загрузится и выведет сообщение:  
   `[RepFlow]: Скрипт загружен. Активация меню: /arep`.

---

## Использование

### Активация
- **Команда**: Введите `/arep` в чате, чтобы открыть меню настроек.
- **Клавиша**: Нажмите `Z` (по умолчанию) для включения/выключения ловли.
- **Обновление**: Введите `/update` для ручного запуска обновления (доступно при наличии новой версии).

### Настройки
- **Интервал отправки `/ot`**: Установите в меню "Флудер" (от 1 до 9999 секунд/миллисекунд).
- **Пауза после флуда**: Настройте в меню "Флудер" (от 1 до 60 секунд).
- **Тайм-аут автостарта**: Настройте в меню "Настройки" (по умолчанию 600 секунд).
- **Перемещение окна**: В разделе "Настройки" выберите "Изменить положение" и используйте пробел для фиксации.
- **Смена клавиши**: Нажмите на текущую клавишу в меню "Настройки" и выберите новую.
- **Профили**: Выберите и сохраните один из трёх профилей настроек в меню "Настройки".
- **Логирование**: Включите/выключите логирование действий в меню "Настройки".
- **Сброс настроек**: Используйте кнопку "Сбросить все настройки" в меню "Настройки" для возврата к значениям по умолчанию.

### Интерфейс
- **Флудер**: Настройка интервала, паузы после флуда и режима работы.
- **Настройки**: Основные параметры, управление окном, профилями и сброс настроек.
- **Информация**: Сведения об авторе, версии, функционале и благодарности тестировщикам.
- **Статистика**: Отображение времени работы, попыток `/ot`, принятых репортов и количества флудов с возможностью сброса.
- **ChangeLog**: История обновлений скрипта.

---

[ChangeLog](https://github.com/Zorahm/repflow/blob/main/CHANGELOG.md)

## Благодарности
- **Тестеры**: Carl_Mort[18], Sweet_Lemonte[18], Balenciaga_Collins[18].

---

## Примечания
- Скрипт разработан для использования на серверах Arizona RP. Убедитесь, что его использование соответствует правилам вашего сервера.
- Если возникают ошибки, проверьте наличие всех зависимостей и их актуальность.
- Логи сохраняются в файлы `repflow.log` (события) и `repflow_reports.log` (принятые репорты) в папке MoonLoader.

**Связь с автором**: [Telegram](https://t.me/Zorahm)  
Удачной ловли репортов с RepFlow!
